CHANGES IN VERSION 1.11.3
------------------------
 o update msaplot to use DNAbin/AAbin internally and also compatible with treedata object <2017-12-14, Thu>
 o clean up code <2017-12-13, Thu>
 o remove paml_rst, codeml_mlc, codeml and jplace fortify methods according to the change of treeio (v = 1.3.3) <2017-12-07, Thu>

CHANGES IN VERSION 1.11.2
------------------------
 o keep tree order (previously using postorder) <2017-12-06-Wed>
   + https://github.com/GuangchuangYu/ggtree/issues/157
 o remove beast object support as read.beast output treedata object in treeio <2017-12-05, Tue>
 o deprecate subview, annotation_image and phylopic; remove theme_transparent <2017-12-04, Mon>
 o geom_tiplab now supports geom = "image" or geom = "phylopic" <2017-12-04, Mon>
 o A new layer geom_nodelab that is equivalent to geom_tiplab but works for internal node <2017-12-04, Mon>

CHANGES IN VERSION 1.11.1
------------------------
 o bug fixed in geom_tiplab, now `offset` parameter works with `align=TRUE`. <2017-11-20, Mon>
 o enable mrsd parameter for treedata object <2017-11-15, Wed>
 o set_hilight_legend supports alpha parameter <2017-11-15, Wed>
   + https://github.com/GuangchuangYu/ggtree/issues/149

CHANGES IN VERSION 1.9.4
------------------------
 o geom_hilight_encircle and geom_cladelabel2 <2017-09-12, Tue>
   + https://github.com/GuangchuangYu/ggtree/pull/152
 o set_hilight_legend <2017-08-30, Wed>
 o geom_motif for aligned motif <2017-08-22, Tue>
   + https://github.com/GuangchuangYu/ggtree/issues/148
 o fixed `R CMD build` error: cannot stat 'ggtree/site_src/themes': No such file or directory <2017-08-22, Tue>

CHANGES IN VERSION 1.9.3
------------------------
 o update to using !! in tidyr::gather for compatible with tidyr 0.7.0 <2017-08-03, Thu>
 o now geom_text2, geom_label2, geom_point2 and geom_segment2 work with ggplot2 <2017-08-01, Tue>
 o update fortify.jplace to support number of placement (nplace) <2017-07-27, Thu>

CHANGES IN VERSION 1.9.2
------------------------
 o add bg_line and height parameter in msaplot <2017-07-26, Wed>
   + users can set bg_line = FALSE and height = 1 to plot more beautiful alignment
 o extend parameter in geom_cladebar <2017-07-26, Wed>
   + https://github.com/GuangchuangYu/ggtree/issues/142#issuecomment-317817995
 o scaleClade works after calling viewClade <2017-07-20, Thu>
   + https://groups.google.com/forum/?utm_medium=email&utm_source=footer#!topic/bioc-ggtree/QVSryszPaFY
 o gheatmap support handling collapsed tree <2017-06-29, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/137

CHANGES IN VERSION 1.9.1
------------------------
 o now mapping parameter will passed to segment layer in geom_tiplab(align=T) <2017-06-19, Mon>
 o geom_cladelabel support `angle="auto"` for circular layout tree <2017-05-05, Fri>

CHANGES IN VERSION 1.8.0
------------------------
 o BioC 3.5 release <2017-04-26, Wed>

CHANGES IN VERSION 1.7.11
------------------------
 o remove layout.method parameter <2017-04-20, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/118#issuecomment-295130818
   + https://github.com/GuangchuangYu/ggtree/issues/125

CHANGES IN VERSION 1.7.10
------------------------
 o add message for subview, inset, phylopic, theme_transparent and theme_inset <2017-03-23, Thu>
   + will be defunct in version >= 1.9.0
   + user should use ggimage package to annotate tree with graphic object or image file
 o update subview to support mainview produced by `ggplot() + layers` <2017-03-13, Mon>

CHANGES IN VERSION 1.7.9
------------------------
 o fixed geom_range to support height_0.95_HPD <2017-03-03, Fri>
 o fixed geom_tiplab(geom='label') <2017-03-02, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/115

CHANGES IN VERSION 1.7.8
------------------------
 o get_taxa_name now sorted by taxa position and also support whole tree <2017-03-01, Wed>
 o unrooted layout support branch.length="none", fixed #114 <2017-03-01, Wed>
 o remove apeBootstrap and raxml object support as they were removed from treeio <2017-02-28, Tue>

CHANGES IN VERSION 1.7.7
------------------------
 o supports parse="emoji" in geom_cladelabel, geom_text2, geom_label2, geom_tiplab, geom_tiplab2 <2017-02-16, Thu>
 o aes(subset) now support logical vector contains NA <2017-02-16, Thu>
 o add legend transparency to theme_transparent <2017-02-13, Mon>
   + <https://github.com/GuangchuangYu/ggtree/pull/112>
 o update citation info <2017-01-20, Fri>

CHANGES IN VERSION 1.7.6
------------------------
 o inset support reverse scale <2017-01-05, Thu>
   + https://groups.google.com/forum/?utm_medium=email&utm_source=footer#!msg/bioc-ggtree/_JPfm71Z8nM/6gL93oxHFQAJ

CHANGES IN VERSION 1.7.5
------------------------
 o disable labeling collapsed node as tip <2017-01-03, Tue>
   + https://groups.google.com/forum/#!topic/bioc-ggtree/nReqJatMvJQ
 o fortify.phylo4d via converting phylo4d to treedata object <2016-12-28, Wed>
 o improve viewClade function, use coord_cartesian instead of xlim <2016-12-28, Wed>
 o remove codes that move to treeio and now ggtree depends treeio <2016-12-20, Tue>

CHANGES IN VERSION 1.7.4
------------------------
 o is.ggtree function to test whether object is produced by ggtree <2016-12-06, Tue>
 o now branch.length can be set to feature available in phylo4d@data and yscale is supported for phylo4d object <2016-12-06, Tue>
 o bug fixed of rm.singleton.newick, remove singleton parent instead of singleton <2016-12-01, Thu>
 o reorder phylo to postorder before ladderrize <2016-11-28, Mon>
 o allow yscale to use data stored in phylo4d object <2016-11-24, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/98
 o groupOTU method now accept 'overlap = c("overwrite", "origin", "abandon")' parameter <2016-11-16, Wed>
   + https://groups.google.com/forum/#!topic/bioc-ggtree/Q4LnwoTf1DM

CHANGES IN VERSION 1.7.3
------------------------
 o drop.tip method for NHX object <2016-11-11, Fri>
 o update startup message <2016-11-09, Wed>
 o reverse timescale x-axis <2016-11-07, Mon>
   + https://github.com/GuangchuangYu/ggtree/issues/87

CHANGES IN VERSION 1.7.2
------------------------
 o make missing colors in gheatmap invisible (previously use 'white') <2016-11-03, Thu>
 o xlim_expand for setting x axis limits of specific panel <2016-11-01, Tue>
   + xlim_tree is now a specific case of xlim_expand(xlim, panel='Tree')
 o bug fixed of parsing tree text in beast file <2016-10-31, Mon>
   + https://github.com/GuangchuangYu/ggtree/issues/84

CHANGES IN VERSION 1.7.1
------------------------
 o xlim_tree layer and test <2016-10-31, Mon>
   + set x axis limits for Tree panel for facet_plot
 o update read.nhx <2016-10-30, Sun>
   + add tip numbers to @nhx_tags and add tests
   + https://github.com/GuangchuangYu/ggtree/pull/83
   + store nhx_tags$node as numeric values <2016-10-31, Mon>
 o facet_plot supports ggbio::geom_alignment <2016-10-26, Wed>
   + https://github.com/tengfei/ggbio/issues/83
 o make tree stats available in facet_plot <2016-10-24, Mon>

CHANGES IN VERSION 1.6.0
------------------------
 o BioC 3.4 released <2016-10-18, Tue>

CHANGES IN VERSION 1.5.17
------------------------
 o read.nhx support newick file <2016-10-17, Mon>
   + https://github.com/GuangchuangYu/ggtree/issues/79

CHANGES IN VERSION 1.5.16
------------------------
 o read.phyloT for parsing newick format of phyloT output <2016-10-11, Tue>
   + https://www.biostars.org/p/210401/#216128
 o fixed aes mapping in geom_strip <2016-10-11, Tue>
 o fixed R check <2016-10-10, Mon>
   + check.aes parameter is not available in release version of ggplot2 yet

CHANGES IN VERSION 1.5.15
------------------------
 o check.aes for layers defined in ggtree <2016-10-07, Fri>
 o recalculate 'angle' when collapse, expand and rotate clade <2016-10-06, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/78

CHANGES IN VERSION 1.5.14
------------------------
 o subset tip in geom_tiplab2 <2016-10-05, Wed>
 o add `compute_group` according to ggplot (v2.1.0) <2016-09-29, Thu>
   + https://github.com/hadley/ggplot2/issues/1797
 o unit test for groupOTU and groupClade <2016-09-22, Thu>
 o groupOTU label groups by input group names (when input is a named list) <2016-09-22, Thu>
 o update angle calculation for geom_tiplab <2016-09-13, Thu>
 o as.polytomy to collapse binary tree to polytomy by applying 'fun' to selected 'feature' (e.g. bootstrap value less than 70). <2016-09-13, Tue>
   + currently only phylo object supported.
   + add test for as.polytomy

CHANGES IN VERSION 1.5.13
------------------------
 o facet_plot for plotting data with tree <2016-09-06, Tue>
 o more parameters for column names in gheatmap <2016-09-06, Tue>
   + colnames_angle
   + colnames_offset_x
   + colnames_offset_y
   + hjust
 o offset parameter in geom_tiplab and geom_tiplab2 <2016-09-05, Mon>

CHANGES IN VERSION 1.5.12
------------------------
 o use data in all layers instead of the base layer for coordination calculation in subview <2016-09-01, Thu>
 o bug fixed in subview, width & height should be width/2 & height/2 <2016-09-01, Thu>

CHANGES IN VERSION 1.5.11
------------------------
 o gheatmap works with matrix <2016-08-28, Sun>
   + https://groups.google.com/forum/?utm_medium=email&utm_source=footer#!msg/bioc-ggtree/2YLvXHMJJ6U/c4zS7yfGCAAJ
 o support parsing expression in geom_strip <2016-08-18, Thu>
 o bug fixed in geom_tiplab <2016-08-17, Wed>
   + https://groups.google.com/forum/?utm_medium=email&utm_source=footer#!msg/bioc-ggtree/Tm9ULK7hd9E/HviXEh3CBwAJ
 o update citation info, add doi. <2016-08-16, Tue>

CHANGES IN VERSION 1.5.10
------------------------
 o fixed issue #72 for label of geom_treescale not displayed <2016-08-16, Tue>
   + https://github.com/GuangchuangYu/ggtree/issues/72

CHANGES IN VERSION 1.5.9
------------------------
 o update citation info <2016-08-12, Fri>

CHANGES IN VERSION 1.5.8
------------------------
 o add color parameter in geom_cladelabel, color should be of length 1 or 2 <2016-08-11, Thu>
 o geom_cladelabel support parsing expression <2016-08-11, Thu>

CHANGES IN VERSION 1.5.7
------------------------
 o geom_strip can accept taxa name as input but labeling strip will not supported.
   To support labeling strip, users need to input node id  <2016-07-27, Wed>
 o nodeid function for converting node label(s) to node id(s) <2016-07-27, Wed>

CHANGES IN VERSION 1.5.6
------------------------
 o remove dependency of Biostring for installing ggtree <2016-07-21, Thu>
   + still needed for building vignette and for processing FASTA file
 o remove dependency of EBImage for building & installing ggtree <2016-07-21, Thu>
   + the package is still needed if user want to annotate tree with image file
 o `%<+%` now works with tbl_df <2016-07-21, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/66
 o identify method for ggtree <2016-06-28, Tue>
   + see https://guangchuangyu.github.io/2016/06/identify-method-for-ggtree
 o geom_balance contributed by Justin Silverman <2016-06-22, Wed>
   + see https://github.com/GuangchuangYu/ggtree/pull/64

CHANGES IN VERSION 1.5.5
------------------------
 o update geom_tiplab2 according to angle change introduced by open_tree <2016-06-20, Mon>
 o bug fixed in collapse, now works with collapse a clade that contain a subclade that was already collapsed <2016-06-02-Thu>
 o bug fixed if time-scaled tree extend into the BCE. <2016-06-02, Thu>
   + as.Date won't work for BCE time.
   + as.Date=FALSE by default in fortify method, just use the time in decimal format (real number, not Date object).

CHANGES IN VERSION 1.5.4
------------------------
 o reroot method for raxml object <2016-05-22, Sun>
 o bug fixed in scaleClade, now y positions are (hopefully) always correct. <2016-05-20, Fri>
 o bug fixed in collapse <2016-05-20, Fri>
   + if users collapse a node that is an offspring of a collapsed node, print warning msg and return the tree directly
 o use byte compiler <2016-05-18, Wed>
 o change any(is.na()) to anyNA() which is more efficient <2016-05-18, Wed>
 o https://github.com/Bioconductor-mirror/ggtree/commit/559548c66b51253e8ccb983d353385838a81f106

CHANGES IN VERSION 1.5.3
------------------------
 o add examples in vignettes <2016-05-13, Fri>
   + add fan layout example in treeVisualization vignette
   + add open_tree and rotate_tree example in treeManipulation vignette
 o add angle in ggtree function, fan layout supported <2016-05-12, Thu>
 o rotate_tree and open_tree function <2016-05-12, Thu>
 o support reading BEAST MCC trees (multiple trees in one file) via the read.beast function <2016-05-12, Thu>
 o https://github.com/Bioconductor-mirror/ggtree/commit/51eec4721595c274c24dc4df2f1fdf40700cb1a5

CHANGES IN VERSION 1.5.2
------------------------
 o add multiplot in ggtreeUtilities vignette <2016-05-12, Thu>
 o add example of integrate user's data using phylo4d in treeAnnotation vignette <2016-05-11, Wed>
 o add extend, extendto parameter in geom_hilight <2016-05-10, Tue>
 o geom_hilight now supports hilight tips <2016-05-10, Tue>
   + https://github.com/GuangchuangYu/ggtree/issues/53
 o more accurate ylim & angle for circular layout <2016-05-10, Tue>
   + https://github.com/GuangchuangYu/ggtree/issues/40
 o supports phylo4d object <2016-05-10, Tue>
   + https://github.com/GuangchuangYu/ggtree/issues/47

CHANGES IN VERSION 1.5.1
------------------------
 o update vignettes <2016-05-10, Tue>
   + add geom_range example in treeImport
   + add geom_strip and geom_taxalink example in treeAnnotation
   + add ggtreeUtilities vignette
 o gheatmap now works with data.frame of only one column <2016-05-09, Mon>
   + contributed by Justin Silverman <jsilve24@gmail.com>
   + https://github.com/GuangchuangYu/ggtree/pull/57
 o geom_strip for associated taxa <2016-05-09, Mon>
   + https://github.com/GuangchuangYu/ggtree/issues/52

CHANGES IN VERSION 1.4.0
------------------------
 o BioC 3.3 released <2016-05-05, Thu>

CHANGES IN VERSION 1.3.16
------------------------
 o geom_treescale() supports family argument <2016-04-27, Wed>
   + https://github.com/GuangchuangYu/ggtree/issues/56
 o update fortify.phylo to work with phylo that has missing value of edge length <2016-04-21, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/54
 o support passing textConnection(text_string) as a file <2016-04-21, Thu>
   + contributed by Casey Dunn <casey_dunn@brown.edu>
   + https://github.com/GuangchuangYu/ggtree/pull/55#issuecomment-212859693

CHANGES IN VERSION 1.3.15
------------------------
 o geom_tiplab2 supports parameter hjust <2016-04-18, Mon>
 o geom_tiplab and geom_tiplab2 support using geom_label2 by passing geom="label" <2016-04-07, Thu>
 o geom_label2 that support subsetting <2016-04-07, Thu>
 o geom_tiplab2 for adding tip label of circular layout <2016-04-06, Wed>
 o use plot$plot_env to access ggplot2 parameter <2016-04-06, Wed>
 o geom_taxalink for connecting related taxa <2016-04-01, Fri>
 o geom_range for adding range of HPD to present uncertainty of evolutionary inference <2016-04-01, Fri>

CHANGES IN VERSION 1.3.14
------------------------
 o geom_tiplab works with NA values, compatible with collapse <2016-03-05, Sat>
 o update theme_tree2 due to the issue of https://github.com/hadley/ggplot2/issues/1567 <2016-03-05, Sat>
 o offset works in `align=FFALSE` with `annotation_image` function <2016-02-23, Tue>
   + see https://github.com/GuangchuangYu/ggtree/issues/46
 o subview and inset now supports annotating with img files <2016-02-23, Tue>

CHANGES IN VERSION 1.3.13
------------------------
 o add example of rescale_tree function in treeAnnotation.Rmd <2016-02-07, Sun>
 o geom_cladelabel works with collapse <2016-02-07, Sun>
   + see https://github.com/GuangchuangYu/ggtree/issues/38

CHANGES IN VERSION 1.3.12
------------------------
 o exchange function name of geom_tree and geom_tree2  <2016-01-25, Mon>
 o solved issues of geom_tree2 <2016-01-25, Mon>
   + https://github.com/hadley/ggplot2/issues/1512
 o colnames_level parameter in gheatmap <2016-01-25, Mon>
 o raxml2nwk function for converting raxml bootstrap tree to newick format <2016-01-25, Mon>

CHANGES IN VERSION 1.3.11
------------------------
 o solved issues of geom_tree2 <2016-01-25, Mon>
   + https://github.com/GuangchuangYu/ggtree/issues/36
 o change compute_group() to compute_panel in geom_tree2() <2016-01-21, Thu>
   + fixed issue, https://github.com/GuangchuangYu/ggtree/issues/36
 o support phyloseq object <2016-01-21, Thu>
 o update geom_point2, geom_text2 and geom_segment2 to support setup_tree_data <2016-01-21, Thu>
 o implement geom_tree2 layer that support duplicated node records via the setup_tree_data function <2016-01-21, Thu>
 o rescale_tree function for rescaling branch length of tree object <2016-01-20, Wed>
 o upgrade set_branch_length, now branch can be rescaled using feature in extraInfo slot <2016-01-20, Wed>

CHANGES IN VERSION 1.3.10
------------------------
 o remove dependency of gridExtra by implementing multiplot function instead of using grid.arrange <2016-01-20, Wed>
 o remove dependency of colorspace <2016-01-20, Wed>
 o support phylip tree format and update vignette of phylip example <2016-01-15, Fri>

CHANGES IN VERSION 1.3.9
------------------------
 o optimize getYcoord <2016-01-14, Thu>
 o add 'multiPhylo' example in 'Tree Visualization' vignette <2016-01-13, Wed>
 o viewClade, scaleClade, collapse, expand, rotate, flip, get_taxa_name and scale_x_ggtree accepts input tree_view=NULL.
   these function will access the last plot if tree_view=NULL. <2016-01-13, Wed>
   + > ggtree(rtree(30)); viewClade(node=35) works. no need to pipe.

CHANGES IN VERSION 1.3.8
------------------------
 o add example of viewClade in 'Tree Manipulation' vignette <2016-01-13, Wed>
 o add viewClade function <2016-01-12, Tue>
 o support obkData object defined by OutbreakTools <2016-01-12, Tue>
 o update vignettes <2016-01-07, Thu>
 o 05 advance tree annotation vignette <2016-01-04, Mon>
 o export theme_inset <2016-01-04, Mon>
 o inset, nodebar, nodepie functions <2015-12-31, Thu>

CHANGES IN VERSION 1.3.7
------------------------
 o split the long vignette to several vignettes
   + 00 ggtree <2015-12-29, Tue>
   + 01 tree data import <2015-12-28, Mon>
   + 02 tree visualization <2015-12-28, Mon>
   + 03 tree manipulation <2015-12-28, Mon>
   + 04 tree annotation <2015-12-29, Tue>

CHANGES IN VERSION 1.3.6
------------------------
 o MRCA function for finding Most Recent Common Ancestor among a vector of tips <2015-12-22, Tue>
 o geom_cladelabel: add bar and label to annotate a clade <2015-12-21, Mon>
   - remove annotation_clade and annotation_clade2 functions.
 o geom_treescale: tree scale layer. (add_legend was removed) <2015-12-21, Mon>

CHANGES IN VERSION 1.3.5
------------------------
 o bug fixed, read.nhx now works with scientific notation <2015-11-30, Mon>
   + see https://github.com/GuangchuangYu/ggtree/issues/30

CHANGES IN VERSION 1.3.4
------------------------
 o rename beast feature when name conflict with reserve keywords (label, branch, etc) <2015-11-27, Fri>
 o get_clade_position function <2015-11-26, Thu>
   + https://github.com/GuangchuangYu/ggtree/issues/28
 o get_heatmap_column_position function <2015-11-25, Wed>
   + see https://github.com/GuangchuangYu/ggtree/issues/26
 o support NHX (New Hampshire X) format via read.nhx function <2015-11-17, Tue>
 o bug fixed in extract.treeinfo.jplace <2015-11-17, Thu>

CHANGES IN VERSION 1.3.3
------------------------
 o support color=NULL in gheatmap, then no colored line will draw within the heatmap <2015-10-30, Fri>
 o add `angle` for also rectangular, so that it will be available for layout='rectangular' following by coord_polar() <2015-10-27, Tue>

CHANGES IN VERSION 1.3.2
------------------------
 o update vignette, add example of ape bootstrap and phangorn ancestral sequences <2015-10-26, Mon>
 o add support of ape bootstrap analysis <2015-10-26, Mon>
   see https://github.com/GuangchuangYu/ggtree/issues/20
 o add support of ancestral sequences inferred by phangorn <2015-10-26, Mon>
   see https://github.com/GuangchuangYu/ggtree/issues/21

CHANGES IN VERSION 1.3.1
------------------------
 o change angle to angle + 90, so that label will in radial direction <2015-10-22, Thu>
   + see https://github.com/GuangchuangYu/ggtree/issues/17
 o na.rm should be always passed to layer(), fixed it in geom_hilight and geom_text2 <2015-10-21, Wed>
   + see https://github.com/hadley/ggplot2/issues/1380
 o matching beast stats with tree using internal node number instead of label <2015-10-20, Tue>

CHANGES IN VERSION 1.2.0
------------------------
 o BioC 3.2 released

CHANGES IN VERSION 1.1.21
------------------------
 o support hyphy output of ancestral sequences that is in phylip sequential format (no TAXALABELS block available) <2015-10-07, Wed>
 o fixed bug in geom_tiplab when x contains NA (eg, removing by collapse function) <2015-10-01, Thu>
 o new implementation of geom_hilight, a truly geom layer function <2015-09-10, Thu>

CHANGES IN VERSION 1.1.20
------------------------
 o bug fixed in %add2%, if node available use node, otherwise use label <2015-09-04, Fri>
 o bug fixed of subview for considering aes mapping of x and y <2015-09-03, Thu>
 o update vignette by adding r8s example <2015-09-02, Wed>
 o defined r8s class, see http://loco.biosci.arizona.edu/r8s/  <2015-09-02, Wed>
   + add r8s sample files
   + read.r8s, parser function
   + fortify method
   + plot, get.tree, get.fields, groupOTU, groupClade, scale_color, gzoom and show methods
 o bug fixed in fortify.multiPhylo, convert df$.id to factor of levels=names(multiPhylo_object) <2015-09-02, Wed>
 o update scale_x_ggtree to support Date as x-axis <2015-09-01, Tue>
 o add mrsd parameter for user to specify 'most recent sampling date' for time tree <2015-09-01, Tue>
   - remove 'time_scale' parameter.
 o defined 'raxml' class for RAxML bootstrapping analysis result <2015-09-01, Tue>
   + see http://sco.h-its.org/exelixis/web/software/raxml/hands_on.html
   + read.raxml, parser function
   + plot, get.tree, get.fields, groupOTU, groupClade, scale_color, gzoom and show methods
   + fortify.raxml method
 o bug fixed in edgeNum2nodeNum for jplace parsing jplace file <2015-09-01, Tue>

CHANGES IN VERSION 1.1.19
------------------------
 o use fortify instead of fortify.phylo in fortify.multiPhylo,
   so that multiPhylo can be a list of beast/codeml or other supported objects. <2015-08-31, Mon>
 o support multiPhylo object, should use + facet_wrap or + facet_grid <2015-08-31, Mon>
 o remove dependency of EBImage and phytools to speedup the installation process of ggtree <2015-08-31, Mon>
   + these two packages is not commonly used, and will be loaded automatically when needed.

CHANGES IN VERSION 1.1.18
------------------------
 o layout name change to 'rectangular', 'slanted', 'circular'/'fan' for phylogram and cladogram (if branch.length = 'none')
     'unroot' is not changed. <2015-08-28. Fri>
 o implement geom_point2, geom_text2, geom_segment2 to support subsetting <2015-08-28, Fri>
     see https://github.com/hadley/ggplot2/issues/1295
 o update geom_tiplab according to geom_text2 and geom_segment2 <2015-08-28, Fri>
 o add geom_tippoint, geom_nodepoint and geom_rootpoint <2015-08-28, Fri>

CHANGES IN VERSION 1.1.17
------------------------
 o bug fixed in rm.singleton.newick by adding support of scientific notation in branch length <2015-08-27, Thu>
 o bug fixed in gheatmap, remove inherit aes from ggtree <2015-08-27, Thu>
 o add 'width' parameter to add_legend, now user can specify the width of legend bar <2015-08-27, Thu>
 o add 'colnames_position' parameter to gheatmap, now colnames can be display on the top of heatmap <2015-08-27, Thu>
 o theme_transparent to make background transparent <2015-08-27, Thu>
 o subview for adding ggplot object (subview) to another ggplot object (mainview) <2015-08-27, Thu>

CHANGES IN VERSION 1.1.16
------------------------
 o update citation <2015-08-17, Mon>

CHANGES IN VERSION 1.1.15
------------------------
 o open text angle parameter for annotation_clade/annotation_clade2 <2015-08-13, Thu>
 o support changing size of add_legend <2015-08-13, Thu>
 o reroot methods for phylo and beast <2015-08-07, Fri>

CHANGES IN VERSION 1.1.14
------------------------
 o update paml_rst to compatible with only marginal ancestral sequence or joint ancestral sequence available <2015-08-07, Fri>

CHANGES IN VERSION 1.1.13
------------------------
 o implement annotation_image <2015-08-01, Sat>
 o better implementation of geom_tiplab for accepting aes mapping and auto add align dotted line <2015-08-01, Sat>
 o open group_name parameter of groupOTU/groupClade to user <2015-08-01, Sat>

CHANGES IN VERSION 1.1.12
------------------------
 o update vignette according to the changes <2015-07-31, Fri>
 o add mapping parameter in ggtree function <2015-07-31, Fri>
 o extend groupClade to support operating on tree view <2015-07-31, Fri>
 o extend groupOTU to support operating on tree view <2015-07-31, Fri>
 o new implementation of groupClade & groupOTU <2015-07-31, Fri>

CHANGES IN VERSION 1.1.11
------------------------
 o annotation_clade and annotation_clade2 functions. <2015-07-30, Thu>
 o better add_legend implementation. <2015-07-30, Thu>
 o add ... in theme_tree & theme_tree2 for accepting additional parameter. <2015-07-30, Thu>
 o better geom_tree implementation. Now we can scale the tree with aes(color=numVar). <2015-07-30, Thu>

CHANGES IN VERSION 1.1.10
------------------------
 o solve overlapping branches for layout = "fan" || "radial",
   that are coord_polar-ized layouts.
   see https://github.com/GuangchuangYu/ggtree/issues/6,
   contributed by Vincent Bonhomme. <2015-07-22, Wed>

CHANGES IN VERSION 1.1.9
------------------------
 o update add_legend to align legend text <2015-07-06, Mon>
 o bug fixed in internal function, getChild.df, which should not include root node if selected node is root <2015-07-01, Wed>
 o rotate function for ratating a clade by 180 degree and update vignette <2015-07-01, Wed>
 o get_taxa_name function will return taxa name vector of a selected clade <2015-06-30, Tue>
 o add example of flip function in vignette <2015-06-30, Tue>
 o flip function for exchanging positions of two selected branches <2015-06-30, Tue>

CHANGES IN VERSION 1.1.8
------------------------
 o update get.placement <2015-06-05, Fri>
 o edgeNum2nodeNum for converting edge number to node number for EPA/pplacer output <2015-06-04, Thu>
 o mv scale_x_gheatmap to scale_x_ggtree, which also support msaplot <2015-06-02, Tue>
 o add mask function <2015-06-02, Tue>

CHANGES IN VERSION 1.1.7
------------------------
 o add example of msaplot in vignette <2015-05-22, Fri>
 o msaplot for adding multiple sequence alignment <2015-05-22, Fri>

CHANGES IN VERSION 1.1.6
------------------------
 o add vertical_only parameter to scaleClade and set to TRUE by default.
   only vertical will be scaled by default. <2015-05-22, Fri>
 o update add_colorbar & add_legend <2015-05-21, Thu>
 o add example of add_legend and gheatmap in vignette <2015-05-18, Mon>
 o gheatmap implementation of gplot <2015-05-18, Mon>
 o add_legend for adding evolution distance legend <2015-05-18, Mon>

CHANGES IN VERSION 1.1.5
------------------------
 o implement scaleClade <2015-05-12, Tue>

CHANGES IN VERSION 1.1.4
------------------------
 o better performance of parsing beast tree  <2015-05-11, Mon>
   + support beast tree begin with 'tree tree_1 = ' and other forms.
   + support file that only contains one evidence for some of the nodes/tips
 o update add_colorbar to auto determine the position <2015-05-04, Mon>
 o add_colorbar function <2015-04-30, Thu>

CHANGES IN VERSION 1.1.3
------------------------
 o add space between residue substitution (e.g. K123R / E155D) <2015-04-30, Thu>
 o remove slash line in heatmap legend <2015-04-30, Thu>
 o update vignette to add example of merge_tree <2015-04-29, Wed>

CHANGES IN VERSION 1.1.2
------------------------
 o in addition to parsing beast time scale tree in XXX_year[\\.\\d]*, now supports XXX/year[\\.\\d]* <2015-04-29, Wed>
 o add examples folder in inst that contains sample data <2015-04-29, Wed>
 o update gplot, now rowname of heatmap will not be displayed <2015-04-28, Tue>
 o add line break if substitution longer than 50 character <2015-04-28, Tue>
 o support calculating branch for time scale tree <2015-04-28, Tue>
 o remove parsing tip sequence from mlb and mlc file <2015-04-28, Tue>
 o remove tip.fasfile in read.paml_rst for rstfile already contains tip sequence <2015-04-28, Tue>
 o scale_color accepts user specific interval and output contains 'scale' attribute that can be used for adding legend <2015-04-28, Tue>
 o extend fortify methods to support additional fields <2015-04-28, Tue>
 o extend get.fields methods to support additional fields <2015-04-28, Tue>
 o extend tree class to support additional info by merging two tree <2015-04-28, Tue>
 o implement merge_tree function to merge two tree objects into one <2015-04-28, Tue>

CHANGES IN VERSION 1.1.1
------------------------
 o minor bug fixed in extracting node ID of rst file <2015-04-27, Mon>
 o update parsing beast time scale tree to support _year (originally supports _year.\\d+) <2015-04-27, Mon>
 o add Tommy in author <2015-04-27, Mon>

CHANGES IN VERSION 0.99.28
------------------------
 o update vignette with floating table of content <2015-04-08, Wed>

CHANGES IN VERSION 0.99.27
------------------------
 o bug fixed, see https://github.com/GuangchuangYu/ggtree/issues/4 <2015-03-07, Tue>

CHANGES IN VERSION 0.99.26
------------------------
 o update geom_tiplab <2015-03-31, Tue>
 o update plot method of beast <2015-03-17, Tue>

CHANGES IN VERSION 0.99.25
------------------------
 o implement groupClade <2015-03-13, Fri>

CHANGES IN VERSION 0.99.24
------------------------
 o use "round" segment end, look very better <2015-03-12, Thu>
 o update vignett <2015-03-11, Wed>

CHANGES IN VERSION 0.99.23
------------------------
 o mv geom_hilight to hilight <2015-03-11, Wed>
 o mv geom_phylopic to phylopic <2015-03-11, Wed>
 o implement collapse and expand for collapse and expand a selected clade <2015-03-11, Wed>

CHANGES IN VERSION 0.99.22
------------------------
 o remove quote in beast tip/node labels <2015-03-10, Tue>

CHANGES IN VERSION 0.99.21
------------------------
 o fixed downloading png file in Windows platform, should explicitly setting mode="wb". <2015-03-03, Tue>

CHANGES IN VERSION 0.99.19
------------------------
 o for time scale tree inferred by BEAST, now user can use time_scale=TRUE parameter in ggtree function <2015-02-12, Thu>

CHANGES IN VERSION 0.99.18
------------------------
 o bug fixed in reorder the labels in gplot.heatmap <2015-02-12, Thu>

CHANGES IN VERSION 0.99.17
------------------------
 o add angle and branch.y variable in cladogram layout <2015-02-10, Tue>

CHANGES IN VERSION 0.99.16
------------------------
 o correct typo in vignette <2015-02-10, Tue>

CHANGES IN VERSION 0.99.15
------------------------
 o fully support of replace operator, %<% <2015-02-09, Mon>

CHANGES IN VERSION 0.99.14
------------------------
 o add example in groupOTU for adding legend manually <2015-02-09, Mon>.

CHANGES IN VERSION 0.99.13
------------------------
 o two dimensional tree <2015-02-06, Fri>

CHANGES IN VERSION 0.99.12
------------------------
 o update vignette <2015-02-04, Wed>
 o gzoom methods that supports all tree objects <2015-02-04, Wed>
 o geom_hilight layer for highlighting clade <2015-02-04, Wed>

CHANGES IN VERSION 0.99.11
------------------------
 o add scale_color to support colored lines and text based on numerical values and update vignette <2015-02-04, Wed>
 o revised groupOTU that output index can be used in geom_text and update vignette <2015-02-04, Wed>

CHANGES IN VERSION 0.99.10
------------------------
 o support y scale by category variable <2015-02-03, Tue>
 o support order nodes by yscale <2015-02-03, Tue>

CHANGES IN VERSION 0.99.9
------------------------
 o update vignette <2015-02-02, Mon>

CHANGES IN VERSION 0.99.8
------------------------
 o add get.phylopic function to read the online phylo pic and convert it to grob object,
   which can be use to annotate ggplot figure using annotation_custom <2015-01-30, Fri>

CHANGES IN VERSION 0.99.7
------------------------
 o add angle information for 'fan' & 'unrooted' layout <2015-01-29, Thu>

CHANGES IN VERSION 0.99.6
------------------------
 o read.beast now supports support values of sets such as {x, y, z} <2015-01-19, Mon>
 o now read.beast supports characters in support values <2015-01-18, Sun>
 o add example of gzoom and groupOTU in vignette <2015-01-14, Wed>
 o implement groupOTU methods <2015-01-14, Wed>
 o export get.offspring.tip <2015-01-14, Wed>

CHANGES IN VERSION 0.99.5
------------------------
 o move ape and ggplot2 from Depends to Imports <2015-01-12, Mon>
 o get.tipseq method for paml_rst and codeml object <2015-01-08, Thu>
 o add gzoom function, similar to zoom function in ape <2015-01-07, Wed>
 o add examples in man pages of %<% and %<+% operators <2015-01-06, Tue>
 o remove <<- and update vignette <2015-01-06, Tue>
 o update vignette and use BibTex and CSL for references <2015-01-05, Mon>
 o update cladogram layout <2015-01-05, Mon>
 o read.baseml function and update vignette with baseml example <2015-01-04, Sun>
 o plot method for hyphy and hyphy example in vignette <2015-01-04, Sun>
 o merge all vignettes to ggtree vignette <2015-01-04, Sun>

CHANGES IN VERSION 0.99.4
------------------------
 o ggtree now support branch.length = "none" to only draw tree topology <2015-01-03, Sat>
 o get.subs method for hyphy object <2015-01-03, Sat>
 o show, get.tree and get.subs methods of hyphy <2015-01-02, Fri>
 o export read.hyphy <2015-01-02, Fri>
 o export hyphy class <2015-01-01, Thu>
 o plot method for beast class and get.tree method for codeml class <2014-12-31, Wed>
 o show, get.fields, get.subs and plot methods for codeml class <2014-12-30, Tue>
 o plot method for paml_rst class <2014-12-30, Tue>
 o get.subs, method for paml_rst class <2014-12-30, Tue>
 o show, plot, get.tree and fority methods for codeml_mlc class <2014-12-29, Mon>
 o codeml class <2014-12-29, Mon>
 o hyphy class and read.hyphy prototype <2014-12-27, Sat>
 o update man file and add example file of beast output <2014-12-26, Fri>
 o get.tree and get.fileds methods of beast class <2014-12-26, Fri>
 o read.beast <2014-12-26, Fri>
 o beast class and show method <2014-12-26, Fri>
 o coplot prototype<2014-12-24, Wed>
 o parse translation matrix in beast nexus <2014-12-24, Wed>
 o extract beast stats info <2014-12-23, Tue>

CHANGES IN VERSION 0.99.3
------------------------
 o gplot function that can view a tree and an associated matrix simultaneously <2014-12-22, Mon>
 o modified vignette to show based on branch position and break the evolution distance scale <2014-12-22, Mon>
 o label and annotation can be put based on branch. <2014-12-22, Mon>
 o write.jplace and fully supports of jplace by ggtree. <2014-12-21, Sun>
 o support unrooted layout in ggplot. <2014-12-21, Sun>
 o support fan, radial, dendrogram layout in geom_tree. <2014-12-21, Sun>

CHANGES IN VERSION 0.99.2
------------------------
 o layout of unrooted tree, implemented equal-angle algorithm that described in Chapter 34
   of 'Inferring Phylogenies' (page 578-580) <2014-12-20, Sat>
 o add layout parameter in ggtree and geom_tree, now supports phylogram and cladogram <2014-12-20, Sat>
 o %<+% function for inserting annotation data to a tree view <2014-12-20, Sat>
 o update ggtree-treeAnnotation vignette <2014-12-20, Sat>

CHANGES IN VERSION 0.99.1
------------------------
 o %<% function for updating tree view with a new tree <2014-12-19, Fri>
 o add examples in man files <2014-12-19, Fri>

CHANGES IN VERSION 0.2.3
------------------------
 o add README.md <2014-12-19, Fri>
 o update ggtree-treeViewer vignette <2014-12-19, Fri>
 o use BiocStyle in vignette <2014-12-19, Fri>
 o geom_nplace and geom_place layer <2014-12-18, Thu>
 o add theme_tree2 theme for showing evolution distance <2014-12-18, Thu>
 o rm.singleton.newick now supports internal node like:
   ((()X, ()Y)Z)AA, in which Z is a singleton. <2014-12-15, Mon>

CHANGES IN VERSION 0.2.2
------------------------
 o rm.singleton.newick <2014-12-09, Tue>
 o as.binary method <2014-12-09, Tue>

CHANGES IN VERSION 0.2.1
------------------------
 o geom_eplace <2014-12-07, Sun>

CHANGES IN VERSION 0.2.0
------------------------
 o read.jplace to read the jplace file <2014-12-05, Fri>
 o jplace class for storing information of jplace file <2014-12-05, Fri>
 o show method of jplace class <2014-12-05, Fri>
 o get.tree method to get tree from jplace class <2014-12-05, Fri>
 o extend ggplot2 to support jplace class <2014-12-05, Fri>

CHANGES IN VERSION 0.1.1
------------------------
 o add distance legend in ggtree <2014-12-05, Fri>

CHANGES IN VERSION 0.1.0
------------------------
 o support ladderize tree <2014-12-05, Fri>
 o implement geom_tree, geom_tiplab, geom_tippoint, geom_aline and theme_tree <2014-12-04, Thu>
 o extend ggplot to support phylo object and implement ggtree function <2014-12-04, Thu>
 o implement fortify function <2014-12-04, Thu>
 o add getRoot, isRoot and getParent functions <2014-12-03, Wed>
